> For the complete documentation index, see [llms.txt](https://docs.brine.fi/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.brine.fi/tech/api-documentation/internal-transfer/list-internal-transfers.md).

# List Internal Transfers

Retrieve details of all transfers for a user using this endpoint. Please note that this is a <mark style="background-color:purple;">Private 🔒</mark> route which means it needs to be authorized by the account initiating this request.

> Note: You will need to include the JWT Auth token to request headers to access this endpoint. To get the JWT Auth Token, refer the [login](/tech/api-documentation/account/login.md) section of the documentation.

#### Endpoint <a href="#endpoint" id="endpoint"></a>

```bash
GET /sapi/v1/internal_transfers/v2/
```

#### Request Headers <a href="#request-headers" id="request-headers"></a>

```json
{
  "Authorization": "JWT ***"
}
```

Query params

<table><thead><tr><th width="193">Field</th><th>Type</th><th>Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>limit</td><td>INTEGER</td><td>NO</td><td>default 50</td></tr><tr><td>offset</td><td>INTEGER</td><td>NO</td><td></td></tr></tbody></table>

\
**Example**

```bash
{baseurl}/sapi/v1/internal_transfers?limit=20&offset=1
```

#### Response <a href="#response" id="response"></a>

```json
{
    "status": "success",
    "message": "Fetched internal transfers successfully",
    "payload": {
        "internal_transfers": [
            {
                "client_reference_id": "18713401936769560",
                "amount": "10",
                "currency": "usdc",
                "from_address": "0xF",
                "destination_address": "0x4",
                "status": "success",
                "created_at": "2023-07-10T11:36:57.820203Z",
                "updated_at": "2023-07-10T11:51:54.937498Z"
            },
            {
                "client_reference_id": "3904693199068586",
                "amount": "1",
                "currency": "usdc",
                "from_address": "0xF",
                "destination_address": "0x5",
                "status": "pending",
                "created_at": "2023-07-10T07:32:32.933317Z",
                "updated_at": "2023-07-10T07:32:32.933340Z"
            }
	],
    "total_count": 2,
    "limit": 20,
    "offset": 1
  }
}
```
